Bug 2045571 (CVE-2022-0367)

Summary: CVE-2022-0367 libmodbus: Heap-based Buffer Overflow in modbus_reply
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: esandeen, john, stephane.raimbault
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-01-25 18:30:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 2045572, 2045573    
Bug Blocks: 2045570    

Description Pedro Sampaio 2022-01-25 17:32:40 UTC
A flaw was found in libmodbus. A heap-based buffer overflow in _modbus_receive_msg.

References:

https://github.com/stephane/libmodbus/issues/614

Comment 1 Pedro Sampaio 2022-01-25 17:32:59 UTC
Created libmodbus tracking bugs for this issue:

Affects: epel-7 [bug 2045573]
Affects: fedora-all [bug 2045572]

Comment 2 Product Security DevOps Team 2022-01-25 18:30:06 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.